// MyHtmlAppView.cpp : implementation of the CMyHtmlAppView class
//

#include "stdafx.h"
#include "MyHtmlApp.h"

#include "MyHtmlAppDoc.h"
#include "MyHtmlAppView.h"

#include "LinkDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMyHtmlAppView

IMPLEMENT_DYNCREATE(CMyHtmlAppView, CHtmlView)

BEGIN_MESSAGE_MAP(CMyHtmlAppView, CHtmlView)
	//{{AFX_MSG_MAP(CMyHtmlAppView)
	ON_COMMAND(ID_GO_BACK, OnGoBack)
	ON_COMMAND(ID_GO_FORWARD, OnGoForward)
	ON_COMMAND(ID_VIEW_LINKS, OnViewLinks)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CHtmlView::OnFilePrint)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMyHtmlAppView construction/destruction

CMyHtmlAppView::CMyHtmlAppView()
{
	// TODO: add construction code here

}

CMyHtmlAppView::~CMyHtmlAppView()
{
}

BOOL CMyHtmlAppView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CHtmlView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CMyHtmlAppView drawing

void CMyHtmlAppView::OnDraw(CDC* pDC)
{
	CMyHtmlAppDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	// TODO: add draw code for native data here
}

void CMyHtmlAppView::OnInitialUpdate()
{
	CHtmlView::OnInitialUpdate();

	// TODO: This code navigates to a popular spot on the web.
	//  change the code to go where you'd like.
//	Navigate2(_T("G:\\Arkady\\SITE\\Works\\VC\\MyPage.htm"),NULL,NULL);
	LoadFromResource(IDR_MYPAGE);
}

/////////////////////////////////////////////////////////////////////////////
// CMyHtmlAppView printing


/////////////////////////////////////////////////////////////////////////////
// CMyHtmlAppView diagnostics

#ifdef _DEBUG
void CMyHtmlAppView::AssertValid() const
{
	CHtmlView::AssertValid();
}

void CMyHtmlAppView::Dump(CDumpContext& dc) const
{
	CHtmlView::Dump(dc);
}

CMyHtmlAppDoc* CMyHtmlAppView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CMyHtmlAppDoc)));
	return (CMyHtmlAppDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMyHtmlAppView message handlers

void CMyHtmlAppView::OnGoBack() 
{
	GoBack();	
}

void CMyHtmlAppView::OnGoForward() 
{
	GoForward();
	
}

void CMyHtmlAppView::OnViewLinks() 
{
    CLinkDialog aDlg;
    if(aDlg.DoModal() == IDOK) // ( "Go to link")
	{
       //       -    
		if (! aDlg.m_strLink.IsEmpty())
          Navigate2(aDlg.m_strLink, NULL, NULL); 
	}	
	
}
